# -*- coding: utf-8 -*-
# title_tag_blex.rb $Revision: 0.0.1 $
# plugin for set html header title of tDiary
# publish date: 2012-02-02
# Copyright (c) 2012 Teruo Kohashi <teruo@kohashi.org>
# You can distributed under the GPL or same as ruby

alias title_tag_blex title_tag
def title_tag
	case @mode
	when 'day'
		diary = @diaries[@date.strftime('%Y%m%d')]
		if diary
			title = diary.title.sub(/^(\[.+\])+/,'').sub(/\(\d{4}\s?[\-\/年]\d\d?\s?[\-\/月]\s?.*\)/,'').strip
			return "<title>#{h title} - #{h @html_title}</title>"
		else
			return title_tag_blex
		end
	when 'latest'
		if cat = @cgi.params['blogcategory'][0]
			cat = @blex.cat_label( cat ) if defined?( @blex )
			return "<title>#{h cat} - #{h @html_title}</title>"
		else
			return title_tag_blex
		end
	else
		return title_tag_blex
	end
end

